Strikes chain
How Handlers and Hooks Work
Query parameters
optionMarketstringRequired
Address of the option market
chainIdnumber · enumRequiredPossible values:
Chain ID of the network
callsReachnumber · enumRequiredPossible values:
putsReachnumber · enumRequiredPossible values:
Responses
200
List of strikes of the option market
application/json
get/clamm/strikes-chain
GET /clamm/strikes-chain?optionMarket=text&chainId=5000&callsReach=100&putsReach=100 HTTP/1.1
Host: api.stryke.xyz
Accept: */*
200
List of strikes of the option market
[
{
"<strike price>": {
"totalLiquidity": "text",
"availableLiquidity": "text",
"utilization": "text",
"apr": "text",
"handler": {
"name": "text",
"deprecated": true,
"handler": {},
"pool": "text"
},
"meta": {
"hook": "text",
"tickLower": 1,
"tickUpper": 1,
"totalTokenLiquidity": "text",
"availableTokenLiquidity": "text",
"totalLiquidity": "text",
"availableLiquidity": "text"
},
"token": {
"address": "text",
"decimals": "text",
"symbol": "text"
}
}
}
]Last updated
Was this helpful?